from account.tasks import send_email_with_context
from configuration.models import SiteConfiguration

from celery import shared_task

@shared_task
def send_contact_me_email_task(client_email, message_content):
    context = {
        "client_email": client_email,
        "message_content": message_content
    }
    send_email_with_context(
        recipients=SiteConfiguration.get_solo().contact_email,
        subject="Poptávka z kontaktního formuláře!!!",
        template_path="email/contact_me.html",
        context=context,
    )